hpct-nodes-list(1)

NAME
hpct-nodes-list - Get HiPerConTracer Nodes List on the Collector

SYNOPSIS
hpct-nodes-list
hpct-nodes-list [-h | --help]
hpct-nodes-list [-v | --version]

DESCRIPTION
hpct-nodes-list lists the HiPerConTracer nodes configured on the Collector, as well as their connectivity (RTunnel) and data synchronisation (Sync) status.
Note that reading the last status of nodes needs access of the user to the nodes' data directories (usually: /var/hipercontracer/data/node<NODE>/). The status is read from last-seen.txt and last-sync.txt.

ARGUMENTS
The following arguments may be provided:

-h | --help
    Prints command help.

-v | --version
    Prints program version.

EXIT STATUS
The hpct-nodes-list tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

hpct-nodes-list

watch --color -n300 hpct-nodes-list

hpct-nodes-list --version

hpct-nodes-list -h

NOTES
This program is part of HiPerConTracer. The latest version of HiPerConTracer can be found on the HiPerConTracer Homepage at HiPerConTracer Homepage: https://www.nntb.no/~dreibh/hipercontracer/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh